echo -off
echo Update the EFI driver and RISC firmware on all the fibre 
echo channel adapters based on Qlogic QL2312
echo ""
echo Wait...

  efiutil all efi_write=QL2312EF.BIN risc_fw_write=QL2312FW.BIN

echo ""
echo If the screen does not indicate that every fibre channel
echo adapters is updated, you may need to execute "search all"
echo command from EFI shell, then repeat the procedure. Note that
echo "search all" command may take a long time. On some systems,
echo this command may fail because it is implemented only on some
echo HP Integrity servers.
echo ""
echo When the operation is complete, enter EFI shell command RESET.
